/* ########################################### template S23 ########################################### */

html{
  scroll-behavior: smooth;
  font-size: 1.125rem;
  letter-spacing: 0.05rem;
}

body {
  font-family: "Montserrat", sans-serif;
}

header {
  display: flex;
  width: 100%;
  height: 40px;
  justify-content: space-evenly;
  align-items: center;
  position: relative;
  z-index: 10;
  background-color:#fff;
  & div {
    position: relative;
  }
}

ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

section {
  margin: 0;
}

nav .nav-link.active {
  background-color: rgba(170, 0, 170, 0.2); /* whatever active color you want */
  & a {
    color: white;
  }
  & li {
    color: white;
  }
}

.toptop a.active {
  color: grey;
  cursor: not-allowed;
}














.uvod-obrazek img {
  width: 100%;
  height:100%;
  position: absolute;
  object-fit: cover;
  object-position: center;
  overflow: hidden;
}

.uvod-logo {
  position: absolute;
  text-align: center;
  top: 33dvh;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
  animation: 1.5s go-up;
  -webkit-animation: 1.5s go-up;
  color: purple;
  text-shadow: 0px 0px 10px white;
}
.uvod-logo h3 {
  margin-top: 25px;
  font-weight: 600;
  height: fit-content;
}
.uvod-logo img {
  position:relative;
  width: 100%;
  height: auto;
  max-width: 320px;
}

.stin {
  filter: drop-shadow( 3px 3px 2px white);
}

@media screen and (max-width: 505px) {
  .uvod-logo h3 {
    font-size: 1.25rem;
    margin-top: 15px;
  }
}

@media screen and (max-width: 435px) {
  .uvod-logo h3 {
    font-size: 1rem;
    margin-top: 10px;
  }
}



@keyframes go-up {
  0% {
    opacity: 0;
    color: black;
    transform: translate(-50%, 0%);
    -webkit-transform: translate(-50%, 0%);
    -moz-transform: translate(-50%, 0%);
    -ms-transform: translate(-50%, 0%);
    -o-transform: translate(-50%, 0%);
  }
  100% {
    opacity: 1;
    color: purple;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
  }
}

.hotel-popis {
  margin: 0;
  padding: 0;
  text-align: center;
}

.square {
  position: relative;
}

.square::before{
  position: absolute;
  content: "2";
  bottom: 50%;
  left: 1rem;
  font-size: 0.6125rem;
  font-weight: 1000;
}

.square::after{
  position: absolute;
  content: "m";
}

#Ubytovani .nav-tabs-2 {
  padding: 0;
  margin: 0;
}

#Ubytovani .vybrat-luzko {
  background-color: rgba(170, 0, 170, 0.3);
  text-align: center;
  font-size: 1.2rem;
  font-weight: 1000;
  margin-top: 20px;
  padding: 10px 0 5px 0;
  &:first-child {
    margin-top: 0;
  }
}

#Ubytovani .economy,
#Ubytovani .standard,
#Ubytovani .premium {
  font-weight: 100 !important;
}

#Ubytovani .nase-pokoje {
  justify-content: center;
  padding: 15px 0;
  margin-bottom: 80px;
  border-radius: 15px;
}

#Ubytovani .col-lg-3  {
  margin: 0 0 20px 0;
  padding: 0;
}

#Ubytovani .row {
  padding: 0;
  margin-right: 0;
  margin-left: 0;
}


#Ubytovani .nase-pokoje .col-lg-9 .col-lg-6 {
  padding: 0 5px 0 15px;
  & .tab-nadpis {
    text-align: center;
    & h3 {
      font-weight: 1000;
    }
    & h4 {
      text-align: start;
      font-weight: 1000;
      text-decoration: underline;
      font-size: 2rem;
    }
    & .economy {
      font-family: 'Loved by the King';
      letter-spacing: 0.4rem;
    }
    & .standard {
      font-family: sans-serif
    }
    & .premium {
      font-family: 'Great Vibes';
      letter-spacing: 0.4rem;
    }
  }
  & .cena, .tab-cena {
    text-align: end;
  }
}

#Ubytovani .nav-tabs-2 .nav-item .nav-link:hover {
  background-color: rgba(170, 0, 170, 0.2);
  transition: 0.3s;
  -webkit-transition: 0.3s;
  -moz-transition: 0.3s;
  -ms-transition: 0.3s;
  -o-transition: 0.3s;
}

#Ubytovani .nav-tabs-2 .nav-item .nav-link {
  transition: 0.3s;
  -webkit-transition: 0.3s;
  -moz-transition: 0.3s;
  -ms-transition: 0.3s;
  -o-transition: 0.3s;
}

#Ubytovani .nase-pokoje .col-md-10 .col-md-6:last-child {
  padding: 0;
}

#Ubytovani .tab-pane,
#Ubytovani .tab-pane .row {
  height: 100%;
}

#Ubytovani .tab-content {
  padding: 0;
  height: 100%;
}

#Ubytovani .tab-pane .pokoje-popis {
  display: flex;
  flex-direction: column;
  gap: 5vh;
  padding: 20px 30px !important;
}

#Ubytovani .tab-pane .col-lg-6 {
  padding: 0;
}

#Ubytovani .tab-pane .pokoje-popis p {
  height: 100%;
  align-self: end;
  align-content: end;
  margin-bottom: 2vh;
}

#Ubytovani .nase-pokoje .tab-pane ul {
  padding-left: 1rem;
  list-style-type: disc;
}

#Ubytovani .nase-pokoje .col-md-2 ul {
  list-style-type: none;
}

#Ubytovani .tab-pane .pokoje-popis h3 {
  text-align: end;
  margin-top: 5vh;
  text-decoration: underline;
  margin: 0;
}

@media only screen and (max-width: 992px) {
  #Ubytovani .tab-pane .pokoje-popis h3 {
    text-align: center;
  }
}

/*####################################################################################################*/
/*####################################################################################################*/
/*############################################## Navbar ##############################################*/
/*####################################################################################################*/
/*####################################################################################################*/

.toptop {
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: space-evenly;
  color: purple;
  font-weight: 600;
  background-color: white;
}
.toptop a {
  color: purple;
  text-decoration: none;
}
.toptop .d-flex{
  gap: 15px;
  align-items: center;
  justify-content: center;
}
.toptop i {
  font-size: 20px;
}

.navbar-toggler{
  position: relative;
}

.offcanvas-body {
  background: none;
}

.navbar{
  display: flex;
  flex-direction: column;
  position: fixed;
  margin: 0;
  padding: 0;
  width: 100%;
  align-items: center;
  justify-content: space-between;
  z-index: 15;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
}

.navbar.scrolled {
  top: 0;
  margin: 0;
  padding: 0;
  transition: 1s;
  -webkit-transition: 1s;
  -moz-transition: 1s;
  -ms-transition: 1s;
  -o-transition: 1s;
}

.navbar.scrolled .toptop {
  display: none;
}

.nav-link {
  display: block;
  padding: var(--bs-nav-link-padding-y) var(--bs-nav-link-padding-x);
  font-size: var(--bs-nav-link-font-size);
  font-weight: var(--bs-nav-link-font-weight);
  color: black;
  font-weight: 600;
  font-size: 20px;
  text-shadow: 0px 0px 5px rgba(255, 255, 255, 0.9);
  text-decoration: none;
  text-align: center;
  background: none;
  border: 0;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
  .nav-link {
    transition: none;
  }
}

.nav-link:hover {
  color: rgb(100, 0, 100);
  background: rgba(100, 0, 100, 0.1);
}

.navbar-nav li:last-child {
  margin: auto;
  margin-right: 25px;
}

.nav-link.active {
  background: rgba(100, 0, 100, 0.1);
}

nav {
  background-color: rgba(255, 255, 255, 0.2);
  backdrop-filter: none;
}

.Rezervace-Show2{
  padding: 5px 5px;
  background: white;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.9);
  border: none;
  font-size: 1rem;
  border-radius: 5px;
  transition-duration: 0.5s;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}

.Rezervace-Show2::after {
  content: "";
  color: grey;
  transition-duration: 0.5s;
}

.Rezervace-Show2::before {
  content: "📅";
  color: white;
  margin-right: 10px;
}

.Rezervace-Show2:hover{
  background-color:rgb(209, 37, 172);
  transition-duration: 0.5s;
  &::after {
    color: white;
    transition-duration: 0.5s;
  }
}


@media only screen and (min-width: 1260px) {
  nav {
    backdrop-filter: blur(15px);
  }
  nav .offcanvas-body a {
    font-size: 1.15rem;
  }
  .navbar .offcanvas-body {
    width: 100vw;
  }
  .Rezervace-Show2 {
    font-size: 1rem;
  }
}

@media only screen and (max-width: 1259px) {
  nav {
    backdrop-filter: blur(15px);
  }
  nav .offcanvas-body a {
    font-size: 15px;
  }
  .navbar .offcanvas-body {
    width: 100vw;
  }
  .Rezervace-Show2 {
    font-size: .8rem;
    padding: 5px;
  }
}

@media only screen and (max-width: 991px) {
  nav {
    background: none;
    backdrop-filter: none;
  }
  .navbar {
    align-items: end;
  }
  .navbar-nav {
    & li:last-child {
      margin-left: auto;
      margin-right: auto;
    }
  }
  .navbar-toggler {
    background-color: rgba(240, 240, 240, 0.95);
    margin-top: 10px;
    font-size: 15px;
    color: black;
  }
  .Rezervace-Show2 {
    font-size: 1rem;
    padding: 2px;
  }
  .toptop #hide {
    position: absolute;
    opacity: 0;
    right: 1000%;
  }
  .offcanvas-body {
    width: auto !important;
  }
}


/*################################################Usek###############################################*/
/*################################################Usek###############################################*/
/*################################################Usek###############################################*/
/*################################################Usek###############################################*/
/*################################################Usek###############################################*/

.usek{
  display: flex;
  flex-direction: column;
  padding: 7vh 0;
  margin: 0;
  position: relative;
}
.usek:nth-child(odd){
  background-color: light-dark(white, rgb(255, 240, 255));
  color: light-dark(black, #333333);
  & a {
    color: light-dark(black, #333333);
  }
}
.usek:nth-child(even){
  background-color: light-dark(rgb(255, 240, 255), white);
  color: light-dark(#333333, black);
  & a {
    color: light-dark(#333333, black);
  }
}

.usek-nadpis{
  display: flex;
  flex-direction: column;
  width: fit-content;
  align-items:center;
  text-align: center;
  margin: 0 auto 0 auto;
}

.usek-nadpis h2 {
  text-transform: uppercase;
  display: block;
  font-size: 0.875rem;
  letter-spacing: 0.125rem;
  margin-bottom: 1rem;
  line-height: 0.9rem;
}

.usek-nadpis h1 {
  font-size: 1.75rem;
  position: relative;
  margin-bottom: 4rem;
  color: light-dark(#5f43b2, #3a1353);
  text-shadow: 0px 0px 5px rgba(255, 255, 255, 0.5);
}

/*.usek-nadpis h1::before,
.usek-nadpis h1::after {
  content: "";
  position: absolute;
  top: 50%;
  width: 60px;
  height: 1px;
  background-color: light-dark(#5f43b2, #3a1353);
}

.usek-nadpis h1::before {
  left: -80px;
}

.usek-nadpis h1::after {
  right: -80px;
} */

main {
  padding: 0;
  margin: 0;
  overflow: hidden;
}


.u0{
  height: 100vh;
  padding: 0;
}

.u1{
  height: auto;
}

.u2{
  height: auto;
}

#Kontakty {
  padding: 1vh 2vw;
}

@media screen and (max-width: 1400px) {
  #Kontakty .hotel-cementar {
    font-size: 1.5rem;
  }
  #Kontakty p {
    font-size: 0.875rem;
  }  
}

@media screen and (max-width: 1050px) {
  #Kontakty .hotel-cementar {
    font-size: 1.4rem;
  }
  #Kontakty p {
    font-size: 0.8rem;
  }  
}


#Kontakty a{
  color: black;
  text-decoration: none;
}

#Kontakty iframe {
  width: 100%;
  height: 100%;
  min-height: 250px;
  border-radius: 20px;
  box-shadow: 0px 0px 10px black;
}

/*####################################################################################################*/
/*####################################################################################################*/
/*##############################################Copyright#############################################*/
/*####################################################################################################*/
/*####################################################################################################*/

.copyright {
  display: flex;
  width: 100%;
  flex-direction: column;
  background: #AAAAAA;
  text-align: center;
}

.copyright p {
  margin: 0;
  padding: 0;
  font-size: 0.8rem;
  color: black;
  &:nth-child(even) {
    color: white;
  }
  & a {
    color: yellow;
    text-decoration: none;
  }
}

/*####################################################################################################*/
/*####################################################################################################*/
/*###############################################Hotel################################################*/
/*####################################################################################################*/
/*####################################################################################################*/

#Hotel .popis p {
  margin-bottom: 1rem;
  text-align: start;
  font-size: 1rem;
  letter-spacing: 0.1rem;
}

/*####################################################################################################*/
/*####################################################################################################*/
/*#############################################Restaurace#############################################*/
/*####################################################################################################*/
/*####################################################################################################*/

#Restaurace .container {
  display: flex;
  flex-direction: column;
}

#Restaurace img {
  height: 600px;
  width: 100%;
  object-fit: cover;
  object-position: left;
  overflow: hidden;
  border-radius: 10px;
  transition: 0.5s;
}

#Restaurace img:hover {
  transform: scale(1.03);
  filter:brightness(0.8) contrast(1.2) saturate(1.2);
  transition: 0.5s;
}

#Restaurace .popisek {
  display: flex;
  height: 100%;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
}

#Restaurace .usek-nadpis h1 {
  margin-bottom: 2rem;
}

#Restaurace iframe {
  width: 100%;
}

.jidelni-listek {
  font-family: 'Great Vibes';
  text-decoration: none;
  letter-spacing: 0.5rem;
  font-size: 2rem;
  color: purple !important;
  font-weight: 700;
  display: flex;
  align-items:center;
  & i {
    height: fit-content;
    font-size: 2rem;
  }
}

.jidelnicek_dnes {
  height: 190px;
}

@media only screen and (max-width: 767px) {
  .jidelnicek_dnes {
    height: 220px;
  }
}

@media only screen and (max-width: 500px) {
  .jidelnicek_dnes {
    height: 250px;
  }
}

@media only screen and (max-width: 400px) {
  .jidelnicek_dnes {
    height: 300px;
  }
}

/*###############################################Ubytko###############################################*/
/*###############################################Ubytko###############################################*/
/*###############################################Ubytko###############################################*/
/*###############################################Ubytko###############################################*/
/*###############################################Ubytko###############################################*/

#Ubytovani .carousel {
  height: 100%;
  min-height: 50vh;
}

#Ubytovani .carousel-inner {
  height: 100%;
  border-radius: 0 0 10px 0;
  -webkit-border-radius: 0 0 10px 0;
  -moz-border-radius: 0 0 10px 0;
  -ms-border-radius: 0 0 10px 0;
  -o-border-radius: 0 0 10px 0;
}

#Ubytovani .sluzby h2 {
  width: fit-content;
  margin: 0;
  padding: 0;
}

#Ubytovani .sluzby,
#Ubytovani .sluzby-grid {
  gap: 4vh;
}

.fialova {
  background-color: rgb(255, 240, 255);
}

#Ubytovani .sluzby-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: auto;
  padding: 50px;
  border-radius: 10px;
  box-shadow: 0px 0px 10px rgb(220, 180, 220);
  background-color: rgb(240, 230, 240);
  /*background-image: url(../img/stolen.png);*/
  background-size: 300px 300px;
  background-repeat:repeat;
  color: #333333;
  text-shadow: 0px 0px 1px rgba(0, 0, 0, 0.8);
  font-size: 20px;
}

#Ubytovani .sluzby-tab{
  width: fit-content;
  gap: 10px;
  align-items: center;
}

#Ubytovani .sluzby-ico {
  width: fit-content;
  display: flex;
}

@media only screen and (max-width: 992px) {
  #Ubytovani .sluzby-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media only screen and (max-width: 768px) {
  #Ubytovani .sluzby-grid {
    grid-template-columns: repeat(1, 1fr);
  }
}

.rezervovat {
  display: flex;
  justify-content: center;
  margin: 5vh 0 0 0;
}

.rezervovat-button {
  padding: 10px 100px;
  font-size: 22px;
}

#Prizemi .prizemi-oteviracka,
#Prizemi .prizemi-kontakt {
  display: flex;
  align-content: center;
  gap:10px;
}

#Prizemi .prizemi-grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  gap: 70px;
}

#Prizemi .prizemi-obchod {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background-color: rgb(250, 200, 250);
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 15px;
}

#Prizemi .prizemi-obchod h5 {
  text-align: center;
  text-decoration: underline;
}

#Prizemi .prizemi-obchod ul {
  font-size: 0.9rem;
  & li + li {
    margin-top: 0.5rem;
  }
}

#Prizemi .prizemi-obchod i {
  height: 24px;
}

#Prizemi .prizemi-obchod .prizemi-kontakt div {
  display: flex;
  width: 24px;
  justify-content: center;
}


/*####################################################################################################*/
/*####################################################################################################*/
/*################################################Fotky###############################################*/
/*####################################################################################################*/
/*####################################################################################################*/

#Fotky {
  height: auto;
  position: relative;
}

.fotky {
  columns: 400px;
  overflow: hidden;
  padding: 0 0.5vw;
}

.zobrazit-vice-mene {
  height:70px;
  text-align: center;
  position: absolute;
  bottom: -20px;
  z-index: 1;
  width: 100%;
  background: linear-gradient(180deg, rgba(200,200,200,0) 20%, rgba(200,200,200,1) 80%);
}

.zobrazit-vice,
.zobrazit-mene {
  justify-content: center;
  height: 100%;
  display: none;
}

.zobrazit-vice::before, .zobrazit-vice::after,
.zobrazit-mene::before, .zobrazit-mene::after {
  margin: 1vw;
  font-size: 2rem;
}

.zobrazit-vice::before{
  content: "⬐";
}

.zobrazit-vice::after{
  content: "⬎";
}

.zobrazit-mene::before{
  content: "⬑";
}

.zobrazit-mene::after{
  content: "⬏";
}

@media (max-width: 1199px) {
  .fotky {
    height: 65vh;
    columns: 250px;
  }
  .zobrazit-vice,
  .zobrazit-mene {
    justify-self: center;
  }
  .zobrazit-vice {
    display: block;
  }
  .zobrazit-mene {
    display: none;
  }
}

@media (max-width: 538px) {
  .fotky {
    height: 60vh;
    columns: 200px;
  }
}


.fotky img {
  border-radius: 5px;
  width: 100%;
  margin-bottom: 1em;
  transition: 0.5s;
}

.fotky img:hover {
  transform: scale(1.3);
  transition: 0.5s;
  -webkit-transform: scale(1.3);
  -moz-transform: scale(1.3);
  -ms-transform: scale(1.3);
  -o-transform: scale(1.3);
}

/*####################################################################################################*/
/*####################################################################################################*/
/*##############################################Rekreace##############################################*/
/*####################################################################################################*/
/*####################################################################################################*/

.rekreace-zalozka {
  height: 100%;
  gap: 1vh;
  display: flex;
  text-align: center;
  flex-direction: column;
  padding-bottom: 2rem;
  border: 1px solid #ccc;
  border-radius: 15px;
  background-color: rgba(0, 0, 0, 0.05);
  box-shadow: 0px 0px 10px light-dark(rgba(0,0,0,0.1), rgba(0,0,0,0.5));
  margin: 0;
}

.rekreace-zalozka h4, p, a {
  margin: 0;
  padding: 0;
  height: fit-content;
}

.rekreace-zalozka p {
  align-self: center;
}

.rekreace-foto img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  overflow: hidden;
  border-radius: 15px 15px 0 0;
  -webkit-border-radius: 15px 15px 0 0;
  -moz-border-radius: 15px 15px 0 0;
  -ms-border-radius: 15px 15px 0 0;
  -o-border-radius: 15px 15px 0 0;
}
.rekreace-foto {
  width: 100%;
  height: 300px;
  background-color: light-dark(grey, whitesmoke);
  border-radius: 15px;
  -webkit-border-radius: 15px;
  -moz-border-radius: 15px;
  -ms-border-radius: 15px;
  -o-border-radius: 15px;
}

.rekreace-nadpis {
  height: fit-content;
}



#Rekreace p {
  display: flex;
  padding: 0 1vw;
  font-size: 0.85rem;
  margin-bottom: 1rem;
}

.rekreace-odkazy a {
  font-size: 1rem;
  text-decoration: none;
  color: #007bff;
}

.rekreace-odkazy {
  display: flex;
  justify-content: space-between;
  gap: 10px;
  margin-top: auto;
}
.rekreace-odkazy{
  display: flex;
  justify-content: space-evenly;
  width: 100%;
}

#carouselPokojeModal img {
  max-height: 100vh;
  object-fit: contain;
  z-index: 5;
}

/*####################################################################################################*/
/*####################################################################################################*/
/*############################################ Rezervace #############################################*/
/*####################################################################################################*/
/*####################################################################################################*/

.osobni-udaje {
  padding-bottom: 1vh;
}

.osobni-udaje p {
  text-align: center;
  padding: 0;
  margin: 0;
  font-size: 0.60rem;
}

.rezervace-div {
  padding-top: 1vh;
  padding-bottom: 1vh;
  display: flex;
  justify-content: center;
  border-top: 1px solid #dee2e6;
  border-bottom: 1px solid #dee2e6;
  & select {
    width: 100%;
    padding: 0.375rem 0.75rem;
    background-color: whitesmoke;
    color: rgb(25, 25, 25);
    font-size: 1rem;
    text-align: center;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}
}

.modal-body h4 {
  text-align: center;
  text-decoration: underline;
}

.modal-body label {
  width: 100%;
  text-align: end;
}

.extras .form-check-label {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.modal-body .nadpis-form {
  margin-top: 20px;
  text-align: left;
  font-size: 1.125rem;
  font-weight: 500;
  text-decoration: underline;
}

.poznamka-div {
  padding-top: 1vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  & p {
    margin: 0;
    padding: 0;
    font-size: 0.7rem;
    color: #6c757d;
  }
}

#poznamka {
  margin: 0 1vw 1vh 1vw;
  min-height: 50px;
  width: auto;
  padding: 0.5rem;
  background-color: whitesmoke;
  color: rgb(25, 25, 25);
  font-size: 1rem;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}

input[type="date"]::-webkit-calendar-picker-indicator {
  filter: grayscale(1);
  -webkit-filter: grayscale(1);
  -moz-filter: grayscale(1);
  -ms-filter: grayscale(1);
  -o-filter: grayscale(1);
}

input.invalid {
  border-color: red;
  outline: none;
  animation: shake 0.8s;
  -webkit-animation: shake 0.8s;
}

@keyframes shake {
  0% { transform: rotate(0deg); -webkit-transform: rotate(0deg); -moz-transform: rotate(0deg); -ms-transform: rotate(0deg); -o-transform: rotate(0deg); }
  25% { transform: rotate(-2deg); -webkit-transform: rotate(-2deg); -moz-transform: rotate(-2deg); -ms-transform: rotate(-2deg); -o-transform: rotate(-2deg); }
  50% { transform: rotate(2deg); -webkit-transform: rotate(2deg); -moz-transform: rotate(2deg); -ms-transform: rotate(2deg); -o-transform: rotate(2deg); }
  75% { transform: rotate(-2deg); -webkit-transform: rotate(-2deg); -moz-transform: rotate(-2deg); -ms-transform: rotate(-2deg); -o-transform: rotate(-2deg); }
  100% { transform: rotate(0deg); -webkit-transform: rotate(0deg); -moz-transform: rotate(0deg); -ms-transform: rotate(0deg); -o-transform: rotate(0deg); }
}

.error-popper {
  display: none;
  position: relative;
  background-color: rgb(150, 10, 0);
  margin-top: 5px;
  width: fit-content;
  color: whitesmoke;
  padding: 5px 10px;
  font-size: 0.875rem;
  border-radius: 4px;
  z-index: 10;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -ms-border-radius: 4px;
  -o-border-radius: 4px;
}

.error-popper::after {
  content: "";
  position: absolute;
  top: -10px;
  left: 0px;
  width: 0;
  border-bottom: 10px solid rgb(150,10,0);
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  height: 0;
  background-color: transparent;
  overflow: hidden;
}

.error-popper::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 5px;
  height: 90%;
  background-color: rgb(150,10,0);
}

/*####################################################################################################*/
/*####################################################################################################*/
/*##############################################Carousel##############################################*/
/*####################################################################################################*/
/*####################################################################################################*/

.carousel {
  position: relative;
}

.carousel-inner {
  position: relative;
  width: 100%;
  height: 75vh;
  overflow: hidden;
}

.carousel-inner .carousel-item {
  width: 100%;
  height: 100%;
}

.carousel-inner .carousel-item img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.carousel.pointer-event {
  touch-action: pan-y;
}

.carousel-inner::after {
  display: block;
  clear: both;
  content: "";
}

.carousel-item {
  position: relative;
  display: none;
  float: left;
  width: 100%;
  height: fit-content;
  margin-right: -100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  transition: transform 0.6s ease-in-out;
}
@media (prefers-reduced-motion: reduce) {
  .carousel-item {
    transition: none;
  }
}

.carousel-item.active,
.carousel-item-next,
.carousel-item-prev {
  display: block;
}

.carousel-item-next:not(.carousel-item-start),
.active.carousel-item-end {
  transform: translateX(100%);
}

.carousel-item-prev:not(.carousel-item-end),
.active.carousel-item-start {
  transform: translateX(-100%);
}

.carousel-fade .carousel-item {
  opacity: 0;
  transition-property: opacity;
  transform: none;
}
.carousel-fade .carousel-item.active,
.carousel-fade .carousel-item-next.carousel-item-start,
.carousel-fade .carousel-item-prev.carousel-item-end {
  z-index: 1;
  opacity: 1;
}
.carousel-fade .active.carousel-item-start,
.carousel-fade .active.carousel-item-end {
  z-index: 0;
  opacity: 0;
  transition: opacity 0s 0.6s;
}
@media (prefers-reduced-motion: reduce) {
  .carousel-fade .active.carousel-item-start,
  .carousel-fade .active.carousel-item-end {
    transition: none;
  }
}

.carousel-control-prev,
.carousel-control-next {
  position: absolute;
  top: 0;
  bottom: 0;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 15%;
  padding: 0;
  color: #fff;
  text-align: center;
  background: none;
  border: 0;
  opacity: 0.5;
  transition: opacity 0.15s ease;
}
@media (prefers-reduced-motion: reduce) {
  .carousel-control-prev,
  .carousel-control-next {
    transition: none;
  }
}
.carousel-control-prev:hover, .carousel-control-prev:focus,
.carousel-control-next:hover,
.carousel-control-next:focus {
  color: #fff;
  text-decoration: none;
  outline: 0;
  opacity: 0.9;
}

.carousel-control-prev {
  left: 0;
}

.carousel-control-next {
  right: 0;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
  display: inline-block;
  width: 2rem;
  height: 2rem;
  background-repeat: no-repeat;
  background-position: 50%;
  background-size: 100% 100%;
}

.carousel-control-prev-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z'/%3e%3c/svg%3e") /*rtl:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e")*/;
}

.carousel-control-next-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e") /*rtl:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z'/%3e%3c/svg%3e")*/;
}

.carousel-indicators {
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 2;
  display: flex;
  justify-content: center;
  padding: 0;
  margin-right: 15%;
  margin-bottom: 1rem;
  margin-left: 15%;
}
.carousel-indicators [data-bs-target] {
  box-sizing: content-box;
  flex: 0 1 auto;
  width: 30px;
  height: 3px;
  padding: 0;
  margin-right: 3px;
  margin-left: 3px;
  text-indent: -999px;
  cursor: pointer;
  background-color: #fff;
  background-clip: padding-box;
  border: 0;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  opacity: 0.5;
  transition: opacity 0.6s ease;
}
@media (prefers-reduced-motion: reduce) {
  .carousel-indicators [data-bs-target] {
    transition: none;
  }
}
.carousel-indicators .active {
  opacity: 1;
}

.carousel-caption {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, -50%);
  text-shadow: 0 0 10px black;
  color: white;
  text-align: center;
  & p {
    font-size: 24px;
  }
}

.plus {
  position: relative;
}

.plus::after{
  height: 0;
  width: 0;
  position: absolute;
  top: -1rem;
  font-family: 'Roboto';
  font-weight: 1000;
  font-size: 1.5rem;
  content: "+";
}

.mezera {
  margin-top: 2vh;
}

.carousel-dark .carousel-control-prev-icon,
.carousel-dark .carousel-control-next-icon {
  filter: invert(1) grayscale(100);
}
.carousel-dark .carousel-indicators [data-bs-target] {
  background-color: #000;
}
.carousel-dark .carousel-caption {
  color: #000;
}

[data-bs-theme=dark] .carousel .carousel-control-prev-icon,
[data-bs-theme=dark] .carousel .carousel-control-next-icon, [data-bs-theme=dark].carousel .carousel-control-prev-icon,
[data-bs-theme=dark].carousel .carousel-control-next-icon {
  filter: invert(1) grayscale(100);
}
[data-bs-theme=dark] .carousel .carousel-indicators [data-bs-target], [data-bs-theme=dark].carousel .carousel-indicators [data-bs-target] {
  background-color: #000;
}
[data-bs-theme=dark] .carousel .carousel-caption, [data-bs-theme=dark].carousel .carousel-caption {
  color: #000;
}

/*####################################################################################################*/
/*####################################################################################################*/
/*########################################## Nahoru button ###########################################*/
/*####################################################################################################*/
/*####################################################################################################*/

.nahoru {
  z-index: 1;
  font-size: 25px;
  text-decoration: none;
  color: white;
  border: 2px solid rgb(255, 255, 255);
  border-radius: 50%;
  margin: 0;
  padding: 0 8px;
  transform: rotate(45deg); /* Equal to rotateZ(45deg) */
}